##
##  consul-alerts.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2020 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_consul_alerts_base 0.6.0
%define       V_consul_alerts_snap 20200125

#   package information
Name:         consul-alerts
Summary:      Utility for Consul Discovery Service Alerting
URL:          https://github.com/AcalephStorage/consul-alerts
Vendor:       Acaleph
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Networking
License:      GPL
Version:      %{V_consul_alerts_base}.%{V_consul_alerts_snap}
Release:      20200125

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/consul/consul-alerts-%{V_consul_alerts_snap}.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, go
PreReq:       OpenPKG, openpkg >= 20160101, consul

%description
    This is a companion utility to Consul, a service discovery and
    configuration service. It is a highly available daemon for sending
    notifications and reminders based on Consul health checks.

%track
    prog consul-alerts:release = {
        version   = %{V_consul_alerts_base}
        url       = https://github.com/AcalephStorage/consul-alerts/releases
        regex     = v(__VER__)\.tar\.gz
    }
    prog consul-alerts:snapshot = {
        version   = %{V_consul_alerts_snap}
        url       = http://download.openpkg.org/components/versioned/consul/
        regex     = consul-alerts-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n consul-alerts

%build
    #   build program
    export GOPATH=`pwd`
    cd src/github.com/AcalephStorage/consul-alerts
    go build -v -o bin/consul-alerts

%install
    #   create directory hierarchy
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin

    #   install program
    %{l_shtool} install -c -s -m 755 \
        src/github.com/AcalephStorage/consul-alerts/bin/consul-alerts \
        $RPM_BUILD_ROOT%{l_prefix}/bin/consul-alerts

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

